﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="MCPDA.aspx.cs" Inherits="DanceCompetition.MCPDA" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>MC Laptop</title>
    <link href="stylesheets/iphone.css" rel="stylesheet" type="text/css" />
    <meta http-equiv="refresh" content="5" />
   
</head>
<body>
<div id="header">
            <h1> Charlotte Dance Sport</h1>
</div>
   <form id="form1" runat="server">
    
        
        
        <asp:ObjectDataSource ID="EventDataSource" runat="server" OldValuesParameterFormatString="original_{0}"
            SelectMethod="GetEventInfo" TypeName="DanceCompetition.App_Code.QueueTableAdapters.QueueTableAdapter"
            DeleteMethod="Delete" InsertMethod="Insert" UpdateMethod="Update">
            <DeleteParameters>
                <asp:Parameter Name="Original_QueueNo" Type="Int32" />
            </DeleteParameters>
            <UpdateParameters>
                <asp:Parameter Name="EventNo" Type="Int32" />
                <asp:Parameter Name="Original_QueueNo" Type="Int32" />
            </UpdateParameters>
            <InsertParameters>
                <asp:Parameter Name="EventNo" Type="Int32" />
            </InsertParameters>
        </asp:ObjectDataSource>
        
        <asp:ObjectDataSource ID="DanceDataSource" runat="server" DeleteMethod="Delete" 
            InsertMethod="Insert" OldValuesParameterFormatString="original_{0}" 
            SelectMethod="GetDance" 
            TypeName="DanceCompetition.App_Code.EventTableAdapters.EventTableAdapter" 
            UpdateMethod="Update">
            <DeleteParameters>
                <asp:Parameter Name="Original_EventID" Type="Int32" />
            </DeleteParameters>
            <UpdateParameters>
                <asp:Parameter Name="EventNo" Type="String" />
                <asp:Parameter Name="EventName" Type="String" />
                <asp:Parameter Name="Dance" Type="String" />
                <asp:Parameter Name="Round" Type="String" />
                <asp:Parameter Name="Heat" Type="Int32" />
                <asp:Parameter Name="RecallThreshold" Type="Int32" />
                <asp:Parameter Name="Completed" Type="Boolean" />
                <asp:Parameter Name="Original_EventID" Type="Int32" />
            </UpdateParameters>
            <SelectParameters>
                <asp:QueryStringParameter DefaultValue="1" Name="QueueNo" 
                    QueryStringField="queueNo" Type="String" />
            </SelectParameters>
            <InsertParameters>
                <asp:Parameter Name="EventNo" Type="String" />
                <asp:Parameter Name="EventName" Type="String" />
                <asp:Parameter Name="Dance" Type="String" />
                <asp:Parameter Name="Round" Type="String" />
                <asp:Parameter Name="Heat" Type="Int32" />
                <asp:Parameter Name="RecallThreshold" Type="Int32" />
                <asp:Parameter Name="Completed" Type="Boolean" />
            </InsertParameters>
        </asp:ObjectDataSource>
        <h2> Current Event</h2>
        <ul><li>
        <asp:GridView ID="EventInfoGridView" runat="server" AutoGenerateColumns="False" 
            CellPadding="5" DataKeyNames="EventID" DataSourceID="EventInfoDataSource" 
            ForeColor="#333333" GridLines="None">
            <RowStyle BackColor="#F7F6F3" ForeColor="#333333" />
            <Columns>
                <asp:BoundField DataField="EventNo" HeaderText="No" 
                    SortExpression="EventNo" />
                <asp:BoundField DataField="EventID" HeaderText="ID" InsertVisible="False" 
                    ReadOnly="True" SortExpression="EventID" />
                <asp:BoundField DataField="EventName" HeaderText="Name" 
                    SortExpression="EventName" />
                <asp:BoundField DataField="Dance" HeaderText="Dance" SortExpression="Dance" />
                <asp:BoundField DataField="Round" HeaderText="Round" SortExpression="Round" />
                <asp:BoundField DataField="RecallThreshold" HeaderText="Recall" 
                    SortExpression="RecallThreshold" />
            </Columns>
            <FooterStyle BackColor="#5D7B9D" Font-Bold="True" ForeColor="White" />
            <PagerStyle BackColor="#284775" ForeColor="White" HorizontalAlign="Center" />
            <SelectedRowStyle BackColor="#E2DED6" Font-Bold="True" ForeColor="#333333" />
            <HeaderStyle BackColor="#5D7B9D" Font-Bold="True" ForeColor="White" />
            <EditRowStyle BackColor="#999999" />
            <AlternatingRowStyle BackColor="White" ForeColor="#284775" />
        </asp:GridView>
        <asp:ObjectDataSource ID="EventInfoDataSource" runat="server" DeleteMethod="Delete"
            InsertMethod="Insert" OldValuesParameterFormatString="original_{0}" SelectMethod="GetEventByQueueNo"
            TypeName="DanceCompetition.App_Code.EventTableAdapters.EventTableAdapter" 
            UpdateMethod="Update">
            <DeleteParameters>
                <asp:Parameter Name="Original_EventID" Type="Int32" />
            </DeleteParameters>
            <UpdateParameters>
                <asp:Parameter Name="EventNo" Type="String" />
                <asp:Parameter Name="EventName" Type="String" />
                <asp:Parameter Name="Dance" Type="String" />
                <asp:Parameter Name="Round" Type="String" />
                <asp:Parameter Name="Heat" Type="Int32" />
                <asp:Parameter Name="RecallThreshold" Type="Int32" />
                <asp:Parameter Name="Completed" Type="Boolean" />
                <asp:Parameter Name="Original_EventID" Type="Int32" />
            </UpdateParameters>
            <SelectParameters>
                <asp:QueryStringParameter DefaultValue="1" Name="QueueNo" 
                    QueryStringField="QueueNo" Type="String" />
            </SelectParameters>
            <InsertParameters>
                <asp:Parameter Name="EventNo" Type="String" />
                <asp:Parameter Name="EventName" Type="String" />
                <asp:Parameter Name="Dance" Type="String" />
                <asp:Parameter Name="Round" Type="String" />
                <asp:Parameter Name="Heat" Type="Int32" />
                <asp:Parameter Name="RecallThreshold" Type="Int32" />
                <asp:Parameter Name="Completed" Type="Boolean" />
            </InsertParameters>
        </asp:ObjectDataSource>
        <asp:ObjectDataSource ID="JudgeDataSource" runat="server" OldValuesParameterFormatString="original_{0}"
            SelectMethod="GetJudgeID" TypeName="DanceCompetition.CompetitionTableAdapters.JudgeRecallTableAdapter">
        </asp:ObjectDataSource>
    </div>
    <asp:ObjectDataSource ID="CoupleDataSource" runat="server" OldValuesParameterFormatString="original_{0}"
        SelectMethod="GetCoupleForDC" 
        TypeName="DanceCompetition.CompetitionTableAdapters.RecallTableAdapter">
        <SelectParameters>
            <asp:QueryStringParameter DefaultValue="1" Name="QueueNo" 
                QueryStringField="QueueNo" Type="String" />
        </SelectParameters>
    </asp:ObjectDataSource>
                
                
            <asp:Label ID="onStageCoupleLabel" runat="server" 
        Text="Checking Couples :" style="color: #006699;"></asp:Label>
        
    <asp:ListView ID="CoupleListView" runat="server" DataSourceID="CoupleDataSource"
        GroupItemCount="8">
        <EmptyItemTemplate>
            <td id="Td1" runat="server" />
        </EmptyItemTemplate>
        <ItemTemplate>
            <td id="Td2" runat="server" style="background-color: #006699; color: #333333;">
                <asp:Button ID="btnCoupleID" Height="50" Width="50" runat="server" CommandName="setMissing"
                    CommandArgument='<%# Eval("CoupleID") %>' Text='<%# Eval("CoupleID") %>' />
            </td>
        </ItemTemplate>
        <AlternatingItemTemplate>
            <td id="Td3" runat="server" style="background-color: #006699; color: #284775;">
                <asp:Button ID="btnCoupleID" Height="50" Width="50" runat="server" CommandName="setMissing"
                    CommandArgument='<%# Eval("CoupleID") %>' Text='<%# Eval("CoupleID") %>' />
            </td>
        </AlternatingItemTemplate>
        <EmptyDataTemplate>
            <table id="Table1" runat="server" style="">
                <tr>
                    <td>
                        No couple in this event.
                    </td>
                </tr>
            </table>
        </EmptyDataTemplate>
        <InsertItemTemplate>
            <td id="Td4" runat="server" style="">
                CoupleID:
                <asp:TextBox ID="CoupleIDTextBox" runat="server" Text='<%# Bind("CoupleID") %>' />
                <br />
                Vote:
                <asp:TextBox ID="VoteTextBox" runat="server" Text='<%# Bind("Vote") %>' />
                <br />
                Missing:
                <asp:TextBox ID="MissingTextBox" runat="server" Text='<%# Bind("Missing") %>' />
                <br />
                <asp:Button ID="InsertButton" runat="server" CommandName="Insert" Text="Insert" />
                <br />
                <asp:Button ID="CancelButton" runat="server" CommandName="Cancel" Text="Clear" />
                <br />
            </td>
        </InsertItemTemplate>
        <LayoutTemplate>
            <table id="Table2" runat="server">
                <tr id="Tr1" runat="server">
                    <td id="Td5" runat="server">
                        <table id="groupPlaceholderContainer" runat="server" border="0" style="background-color: #FFFFFF;
                            border-collapse: collapse; border-color: #999999; border-style: none; border-width: 1px;
                            font-family: Verdana, Arial, Helvetica, sans-serif;">
                            <tr id="groupPlaceholder" runat="server">
                            </tr>
                        </table>
                    </td>
                </tr>
                <tr id="Tr2" runat="server">
                    <td id="Td6" runat="server" style="text-align: center; background-color: #FFCC66; font-family: Verdana, Arial, Helvetica, sans-serif;
                        color: #333333;">
                    </td>
                </tr>
            </table>
        </LayoutTemplate>
        <EditItemTemplate>
            <td id="Td7" runat="server" style="background-color: #FFCC66; color: #000080;">
                CoupleID:
                <asp:TextBox ID="CoupleIDTextBox" runat="server" Text='<%# Bind("CoupleID") %>' />
                <br />
                Vote:
                <asp:TextBox ID="VoteTextBox" runat="server" Text='<%# Bind("Vote") %>' />
                <br />
                Missing:
                <asp:TextBox ID="MissingTextBox" runat="server" Text='<%# Bind("Missing") %>' />
                <br />
                <asp:Button ID="UpdateButton" runat="server" CommandName="Update" Text="Update" />
                <br />
                <asp:Button ID="CancelButton" runat="server" CommandName="Cancel" Text="Cancel" />
                <br />
            </td>
        </EditItemTemplate>
        <GroupTemplate>
            <tr id="itemPlaceholderContainer" runat="server">
                <td id="itemPlaceholder" runat="server">
                </td>
            </tr>
        </GroupTemplate>
        <SelectedItemTemplate>
            <td id="Td8" runat="server" style="background-color: #FFCC66; font-weight: bold; color: #000080;">
                CoupleID:
                <asp:Label ID="CoupleIDLabel" runat="server" Text='<%# Eval("CoupleID") %>' />
                <br />
                Vote:
                <asp:Label ID="VoteLabel" runat="server" Text='<%# Eval("Vote") %>' />
                <br />
                Missing:
                <asp:Label ID="MissingLabel" runat="server" Text='<%# Eval("Missing") %>' />
                <br />
            </td>
        </SelectedItemTemplate>
    </asp:ListView>
               
               <asp:Label ID="missingCoupleLabel" runat="server" 
                Text="Missing Couples :" style="color: #FF0000;"></asp:Label>
                    
    <asp:ListView ID="MissingCoupleListView" runat="server" DataSourceID="MissingCoupleDataSource"
        GroupItemCount="8">
        <EmptyItemTemplate>
            <td id="Td1" runat="server" />
        </EmptyItemTemplate>
        <ItemTemplate>
            <td id="Td2" runat="server" style="background-color: #FF0000; color: #FF0000;">
                <asp:Button ID="btnCoupleID" Height="50" Width="50" runat="server" 
                    CommandArgument='<%# Eval("CoupleID") %>' Text='<%# Eval("CoupleID") %>' />
                <br />
            </td>
        </ItemTemplate>
        <AlternatingItemTemplate>
            <td id="Td3" runat="server" style="background-color: #FF0000; color: #FF0000;">
                <asp:Button ID="btnCoupleID" Height="50" Width="50" runat="server" 
                    CommandArgument='<%# Eval("CoupleID") %>' Text='<%# Eval("CoupleID") %>' />
                <br />
            </td>
        </AlternatingItemTemplate>
        <EmptyDataTemplate>
           <table id="Table3" runat="server" style="">
                <tr>
                    <td>
                        No Missing Couple.
                    </td>
                </tr>
            </table>
        </EmptyDataTemplate>
        <InsertItemTemplate>
            <td id="Td4" runat="server" style="">
                CoupleID:
                <asp:TextBox ID="CoupleIDTextBox" runat="server" Text='<%# Bind("CoupleID") %>' />
                <br />
                Vote:
                <asp:TextBox ID="VoteTextBox" runat="server" Text='<%# Bind("Vote") %>' />
                <br />
                Missing:
                <asp:TextBox ID="MissingTextBox" runat="server" Text='<%# Bind("Missing") %>' />
                <br />
                <asp:Button ID="InsertButton" runat="server" CommandName="Insert" Text="Insert" />
                <br />
                <asp:Button ID="CancelButton" runat="server" CommandName="Cancel" Text="Clear" />
                <br />
            </td>
        </InsertItemTemplate>
        <LayoutTemplate>
            <table id="Table2" runat="server">
                <tr id="Tr1" runat="server">
                    <td id="Td5" runat="server">
                        <table id="groupPlaceholderContainer" runat="server" border="0" style="background-color: #FFFFFF;
                            border-collapse: collapse; border-color: #999999; border-style: none; border-width: 1px;
                            font-family: Verdana, Arial, Helvetica, sans-serif;">
                            <tr id="groupPlaceholder" runat="server">
                            </tr>
                        </table>
                    </td>
                </tr>
                <tr id="Tr2" runat="server">
                    <td id="Td6" runat="server" style="text-align: center; background-color: #CCCCCC;
                        font-family: Verdana, Arial, Helvetica, sans-serif; color: #000000;">
                    </td>
                </tr>
            </table>
        </LayoutTemplate>
        <EditItemTemplate>
            <td id="Td7" runat="server" style="background-color: #008A8C; color: #FFFFFF;">
                CoupleID:
                <asp:TextBox ID="CoupleIDTextBox" runat="server" Text='<%# Bind("CoupleID") %>' />
                <br />
                Vote:
                <asp:TextBox ID="VoteTextBox" runat="server" Text='<%# Bind("Vote") %>' />
                <br />
                Missing:
                <asp:TextBox ID="MissingTextBox" runat="server" Text='<%# Bind("Missing") %>' />
                <br />
                <asp:Button ID="UpdateButton" runat="server" CommandName="Update" Text="Update" />
                <br />
                <asp:Button ID="CancelButton" runat="server" CommandName="Cancel" Text="Cancel" />
                <br />
            </td>
        </EditItemTemplate>
        <GroupTemplate>
            <tr id="itemPlaceholderContainer" runat="server">
                <td id="itemPlaceholder" runat="server">
                </td>
            </tr>
        </GroupTemplate>
        <SelectedItemTemplate>
            <td id="Td8" runat="server" style="background-color: #008A8C; font-weight: bold;
                color: #FFFFFF;">
                CoupleID:
                <asp:Label ID="CoupleIDLabel" runat="server" Text='<%# Eval("CoupleID") %>' />
                <br />
                Vote:
                <asp:Label ID="VoteLabel" runat="server" Text='<%# Eval("Vote") %>' />
                <br />
                Missing:
                <asp:Label ID="MissingLabel" runat="server" Text='<%# Eval("Missing") %>' />
                <br />
            </td>
        </SelectedItemTemplate>
    </asp:ListView>
    
    </li></ul>
    <asp:ObjectDataSource ID="MissingCoupleDataSource" runat="server" OldValuesParameterFormatString="original_{0}"
        SelectMethod="GetMissingCoupleForDC" 
            TypeName="DanceCompetition.CompetitionTableAdapters.RecallTableAdapter">
        <SelectParameters>
            <asp:QueryStringParameter Name="QueueNo" QueryStringField="QueueNo" 
                Type="Int32" DefaultValue="1" />
        </SelectParameters>
    </asp:ObjectDataSource>
            
           <h2> Upcoming Event</h2>
        <ul><li> 
        <asp:GridView ID="NextEventGridView" runat="server" AutoGenerateColumns="False" 
            CellPadding="5" DataKeyNames="EventID" DataSourceID="NextEventDataSource" 
            ForeColor="#333333" GridLines="None">
            <RowStyle BackColor="#F7F6F3" ForeColor="#333333" />
            <Columns>
                <asp:BoundField DataField="EventNo" HeaderText="No" 
                    SortExpression="EventNo" />
                <asp:BoundField DataField="EventID" HeaderText="ID" InsertVisible="False" 
                    ReadOnly="True" SortExpression="EventID" />
                <asp:BoundField DataField="EventName" HeaderText="Name" 
                    SortExpression="EventName" />
                <asp:BoundField DataField="Dance" HeaderText="Dance" SortExpression="Dance" />
                <asp:BoundField DataField="Round" HeaderText="Round" SortExpression="Round" />
                <asp:BoundField DataField="RecallThreshold" HeaderText="Recall" 
                    SortExpression="RecallThreshold" />
            </Columns>
            <FooterStyle BackColor="#5D7B9D" Font-Bold="True" ForeColor="White" />
            <PagerStyle BackColor="#284775" ForeColor="White" HorizontalAlign="Center" />
            <SelectedRowStyle BackColor="#E2DED6" Font-Bold="True" ForeColor="#333333" />
            <HeaderStyle BackColor="#5D7B9D" Font-Bold="True" ForeColor="White" />
            <EditRowStyle BackColor="#999999" />
            <AlternatingRowStyle BackColor="White" ForeColor="#284775" />
        </asp:GridView>
            
        <asp:ObjectDataSource ID="NextCoupleDataSource" runat="server" 
            OldValuesParameterFormatString="original_{0}" SelectMethod="GetNextCoupleID" 
            TypeName="DanceCompetition.CompetitionTableAdapters.RecallTableAdapter">
            <SelectParameters>
                <asp:QueryStringParameter DefaultValue="2" Name="QueueNo" 
                    QueryStringField="QueueNo" Type="String" />
            </SelectParameters>
        </asp:ObjectDataSource>
                
                
            <asp:Label ID="onStageCoupleLabel0" runat="server" 
        Text="Checking Couples :" style="color: #006699;"></asp:Label>
        
        <asp:ListView ID="NextCoupleListView" runat="server" DataSourceID="NextCoupleDataSource" 
            GroupItemCount="8">
            <EmptyItemTemplate>
                <td runat="server" />
                </EmptyItemTemplate>
                <ItemTemplate>
                     <td id="Td2" runat="server" style="background-color: #006699; color: #333333;">
                <asp:Button ID="btnCoupleID" Height="50" Width="50" runat="server" 
                    CommandArgument='<%# Eval("CoupleID") %>' Text='<%# Eval("CoupleID") %>' />
                <br />
            </td>
                </ItemTemplate>
                <AlternatingItemTemplate>
                    <td id="Td2" runat="server" style="background-color: #006699; color: #333333;">
                <asp:Button ID="btnCoupleID" Height="50" Width="50" runat="server" 
                    CommandArgument='<%# Eval("CoupleID") %>' Text='<%# Eval("CoupleID") %>' />
                <br />
            </td>
                </AlternatingItemTemplate>
                <EmptyDataTemplate>
                    <table runat="server" style="">
                        <tr>
                            <td>
                                No couple in this event.</td>
                        </tr>
                    </table>
                </EmptyDataTemplate>
                <InsertItemTemplate>
                    <td runat="server" style="">
                        CoupleID:
                        <asp:TextBox ID="CoupleIDTextBox" runat="server" 
                            Text='<%# Bind("CoupleID") %>' />
                        <br />
                        Vote:
                        <asp:TextBox ID="VoteTextBox" runat="server" Text='<%# Bind("Vote") %>' />
                        <br />
                        Missing:
                        <asp:TextBox ID="MissingTextBox" runat="server" Text='<%# Bind("Missing") %>' />
                        <br />
                        <asp:Button ID="InsertButton" runat="server" CommandName="Insert" 
                            Text="Insert" />
                        <br />
                        <asp:Button ID="CancelButton" runat="server" CommandName="Cancel" 
                            Text="Clear" />
                        <br />
                    </td>
                </InsertItemTemplate>
                <LayoutTemplate>
                    <table runat="server">
                        <tr runat="server">
                            <td runat="server">
                                <table ID="groupPlaceholderContainer" runat="server" border="0" style="">
                                    <tr ID="groupPlaceholder" runat="server">
                                    </tr>
                                </table>
                            </td>
                        </tr>
                        <tr runat="server">
                            <td runat="server" style="">
                            </td>
                        </tr>
                    </table>
                </LayoutTemplate>
                <EditItemTemplate>
                    <td runat="server" style="">
                        CoupleID:
                        <asp:TextBox ID="CoupleIDTextBox" runat="server" 
                            Text='<%# Bind("CoupleID") %>' />
                        <br />
                        Vote:
                        <asp:TextBox ID="VoteTextBox" runat="server" Text='<%# Bind("Vote") %>' />
                        <br />
                        Missing:
                        <asp:TextBox ID="MissingTextBox" runat="server" Text='<%# Bind("Missing") %>' />
                        <br />
                        <asp:Button ID="UpdateButton" runat="server" CommandName="Update" 
                            Text="Update" />
                        <br />
                        <asp:Button ID="CancelButton" runat="server" CommandName="Cancel" 
                            Text="Cancel" />
                        <br />
                    </td>
                </EditItemTemplate>
                <GroupTemplate>
                    <tr ID="itemPlaceholderContainer" runat="server">
                        <td ID="itemPlaceholder" runat="server">
                        </td>
                    </tr>
                </GroupTemplate>
                <SelectedItemTemplate>
                    <td runat="server" style="">
                        CoupleID:
                        <asp:Label ID="CoupleIDLabel" runat="server" Text='<%# Eval("CoupleID") %>' />
                        <br />
                        Vote:
                        <asp:Label ID="VoteLabel" runat="server" Text='<%# Eval("Vote") %>' />
                        <br />
                        Missing:
                        <asp:Label ID="MissingLabel" runat="server" Text='<%# Eval("Missing") %>' />
                        <br />
                    </td>
                </SelectedItemTemplate>
            </asp:ListView>
               
               <asp:Label ID="missingCoupleLabel0" runat="server" 
                Text="Missing Couples :" style="color: #FF0000;"></asp:Label>&nbsp
                    
            <asp:ListView ID="ListView1" runat="server" 
                DataSourceID="NextMissingCoupleDataSource" GroupItemCount="8">
                <EmptyItemTemplate>
                    <td runat="server" />
                    </EmptyItemTemplate>
                    <ItemTemplate>
                        <td id="Td2" runat="server" style="background-color: #FF0000; color: #FF0000;">
                <asp:Button ID="btnCoupleID" Height="50" Width="50" runat="server" 
                    CommandArgument='<%# Eval("CoupleID") %>' Text='<%# Eval("CoupleID") %>' />
                <br />
            </td>
                    </ItemTemplate>
                    <AlternatingItemTemplate>
                       <td id="Td2" runat="server" style="background-color: #FF0000; color: #FF0000;">
                <asp:Button ID="btnCoupleID" Height="50" Width="50" runat="server" 
                    CommandArgument='<%# Eval("CoupleID") %>' Text='<%# Eval("CoupleID") %>' />
                <br />
            </td>
                    </AlternatingItemTemplate>
                    <EmptyDataTemplate>
                        <table runat="server" style="">
                            <tr>
                                <td>
                                    No Missing Couple.</td>
                            </tr>
                        </table>
                    </EmptyDataTemplate>
                    <InsertItemTemplate>
                        <td runat="server" style="">
                            CoupleID:
                            <asp:TextBox ID="CoupleIDTextBox" runat="server" 
                                Text='<%# Bind("CoupleID") %>' />
                            <br />
                            Vote:
                            <asp:TextBox ID="VoteTextBox" runat="server" Text='<%# Bind("Vote") %>' />
                            <br />
                            Missing:
                            <asp:TextBox ID="MissingTextBox" runat="server" Text='<%# Bind("Missing") %>' />
                            <br />
                            <asp:Button ID="InsertButton" runat="server" CommandName="Insert" 
                                Text="Insert" />
                            <br />
                            <asp:Button ID="CancelButton" runat="server" CommandName="Cancel" 
                                Text="Clear" />
                            <br />
                        </td>
                    </InsertItemTemplate>
                    <LayoutTemplate>
                        <table runat="server">
                            <tr runat="server">
                                <td runat="server">
                                    <table ID="groupPlaceholderContainer" runat="server" border="0" style="">
                                        <tr ID="groupPlaceholder" runat="server">
                                        </tr>
                                    </table>
                                </td>
                            </tr>
                            <tr runat="server">
                                <td runat="server" style="">
                                </td>
                            </tr>
                        </table>
                    </LayoutTemplate>
                    <EditItemTemplate>
                        <td runat="server" style="">
                            CoupleID:
                            <asp:TextBox ID="CoupleIDTextBox" runat="server" 
                                Text='<%# Bind("CoupleID") %>' />
                            <br />
                            Vote:
                            <asp:TextBox ID="VoteTextBox" runat="server" Text='<%# Bind("Vote") %>' />
                            <br />
                            Missing:
                            <asp:TextBox ID="MissingTextBox" runat="server" Text='<%# Bind("Missing") %>' />
                            <br />
                            <asp:Button ID="UpdateButton" runat="server" CommandName="Update" 
                                Text="Update" />
                            <br />
                            <asp:Button ID="CancelButton" runat="server" CommandName="Cancel" 
                                Text="Cancel" />
                            <br />
                        </td>
                    </EditItemTemplate>
                    <GroupTemplate>
                        <tr ID="itemPlaceholderContainer" runat="server">
                            <td ID="itemPlaceholder" runat="server">
                            </td>
                        </tr>
                    </GroupTemplate>
                    <SelectedItemTemplate>
                        <td runat="server" style="">
                            CoupleID:
                            <asp:Label ID="CoupleIDLabel" runat="server" Text='<%# Eval("CoupleID") %>' />
                            <br />
                            Vote:
                            <asp:Label ID="VoteLabel" runat="server" Text='<%# Eval("Vote") %>' />
                            <br />
                            Missing:
                            <asp:Label ID="MissingLabel" runat="server" Text='<%# Eval("Missing") %>' />
                            <br />
                        </td>
                    </SelectedItemTemplate>
                </asp:ListView>
                </li></ul>
                <asp:ObjectDataSource ID="NextMissingCoupleDataSource" runat="server" 
                    OldValuesParameterFormatString="original_{0}" SelectMethod="GetNextMissingCouple" 
                    TypeName="DanceCompetition.CompetitionTableAdapters.RecallTableAdapter">
                    <SelectParameters>
                        <asp:QueryStringParameter DefaultValue="2" Name="QueueNo" 
                            QueryStringField="QueueNo" Type="String" />
                    </SelectParameters>
                </asp:ObjectDataSource>
               
        <asp:ObjectDataSource ID="NextEventDataSource" runat="server" 
            OldValuesParameterFormatString="original_{0}" SelectMethod="GetNextEvent" 
            TypeName="DanceCompetition.App_Code.EventTableAdapters.EventTableAdapter" 
                DeleteMethod="Delete" InsertMethod="Insert" UpdateMethod="Update">
            <DeleteParameters>
                <asp:Parameter Name="Original_EventID" Type="Int32" />
            </DeleteParameters>
            <UpdateParameters>
                <asp:Parameter Name="EventNo" Type="String" />
                <asp:Parameter Name="EventName" Type="String" />
                <asp:Parameter Name="Dance" Type="String" />
                <asp:Parameter Name="Round" Type="String" />
                <asp:Parameter Name="Heat" Type="Int32" />
                <asp:Parameter Name="RecallThreshold" Type="Int32" />
                <asp:Parameter Name="Completed" Type="Boolean" />
                <asp:Parameter Name="Original_EventID" Type="Int32" />
            </UpdateParameters>
            <SelectParameters>
                <asp:QueryStringParameter DefaultValue="1" Name="QueueNo" 
                    QueryStringField="QueueNo" Type="String" />
            </SelectParameters>
            <InsertParameters>
                <asp:Parameter Name="EventNo" Type="String" />
                <asp:Parameter Name="EventName" Type="String" />
                <asp:Parameter Name="Dance" Type="String" />
                <asp:Parameter Name="Round" Type="String" />
                <asp:Parameter Name="Heat" Type="Int32" />
                <asp:Parameter Name="RecallThreshold" Type="Int32" />
                <asp:Parameter Name="Completed" Type="Boolean" />
            </InsertParameters>
        </asp:ObjectDataSource>
            
        <p>
        <asp:Button class= "green button" ID="BtnPrev" runat="server" onclick="BtnPrev_Click" 
            Text="&lt; Prev " />
        <asp:Button class="green button" ID="BtnNext" runat="server" onclick="BtnNext_Click" 
            Text="Next &gt;" />
            
            
        </p>
            
    </form>
</body>
</html>
