﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="checkdb.aspx.cs" Inherits="DanceCompetition.checkdb" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title></title>
</head>
<body>
    <form id="form1" runat="server">
    <div>
    
        <asp:Label ID="Label1" runat="server" Font-Bold="True" Font-Size="15pt" 
            Text="Queue Table"></asp:Label>
    
    </div>
    <asp:GridView ID="GridView2" runat="server" AutoGenerateColumns="False" 
        CellPadding="4" DataKeyNames="QueueNo" DataSourceID="QueueAllDataSource" 
        ForeColor="#333333" GridLines="None">
        <RowStyle BackColor="#F7F6F3" ForeColor="#333333" />
        <Columns>
            <asp:BoundField DataField="QueueNo" HeaderText="QueueNo" InsertVisible="False" 
                ReadOnly="True" SortExpression="QueueNo" />
            <asp:BoundField DataField="EventNo" HeaderText="EventNo" 
                SortExpression="EventNo" />
        </Columns>
        <FooterStyle BackColor="#5D7B9D" Font-Bold="True" ForeColor="White" />
        <PagerStyle BackColor="#284775" ForeColor="White" HorizontalAlign="Center" />
        <SelectedRowStyle BackColor="#E2DED6" Font-Bold="True" ForeColor="#333333" />
        <HeaderStyle BackColor="#5D7B9D" Font-Bold="True" ForeColor="White" />
        <EditRowStyle BackColor="#999999" />
        <AlternatingRowStyle BackColor="White" ForeColor="#284775" />
    </asp:GridView>
    <asp:ObjectDataSource ID="QueueAllDataSource" runat="server" 
        DeleteMethod="Delete" InsertMethod="Insert" 
        OldValuesParameterFormatString="original_{0}" SelectMethod="GetEventInOrder" 
        TypeName="QueueTableAdapters.QueueTableAdapter" UpdateMethod="Update">
        <DeleteParameters>
            <asp:Parameter Name="Original_QueueNo" Type="Int32" />
        </DeleteParameters>
        <UpdateParameters>
            <asp:Parameter Name="EventNo" Type="Int32" />
            <asp:Parameter Name="Original_QueueNo" Type="Int32" />
        </UpdateParameters>
        <InsertParameters>
            <asp:Parameter Name="EventNo" Type="Int32" />
        </InsertParameters>
    </asp:ObjectDataSource>
    <asp:Label ID="Label2" runat="server" Font-Bold="True" Font-Size="15pt" 
        Text="Event Table"></asp:Label>
    <asp:GridView ID="GridView1" runat="server" AutoGenerateColumns="False" 
        CellPadding="4" DataKeyNames="EventID" DataSourceID="AllEventDataSource" 
        ForeColor="#333333" GridLines="None">
        <RowStyle BackColor="#F7F6F3" ForeColor="#333333" />
        <Columns>
            <asp:BoundField DataField="EventID" HeaderText="EventID" InsertVisible="False" 
                ReadOnly="True" SortExpression="EventID" />
            <asp:BoundField DataField="EventNo" HeaderText="EventNo" 
                SortExpression="EventNo" />
            <asp:BoundField DataField="EventName" HeaderText="EventName" 
                SortExpression="EventName" />
            <asp:BoundField DataField="Dance" HeaderText="Dance" SortExpression="Dance" />
            <asp:BoundField DataField="Round" HeaderText="Round" SortExpression="Round" />
            <asp:BoundField DataField="Heat" HeaderText="Heat" SortExpression="Heat" />
            <asp:BoundField DataField="RecallThreshold" HeaderText="RecallThreshold" 
                SortExpression="RecallThreshold" />
            <asp:CheckBoxField DataField="Completed" HeaderText="Completed" 
                SortExpression="Completed" />
        </Columns>
        <FooterStyle BackColor="#5D7B9D" Font-Bold="True" ForeColor="White" />
        <PagerStyle BackColor="#284775" ForeColor="White" HorizontalAlign="Center" />
        <SelectedRowStyle BackColor="#E2DED6" Font-Bold="True" ForeColor="#333333" />
        <HeaderStyle BackColor="#5D7B9D" Font-Bold="True" ForeColor="White" />
        <EditRowStyle BackColor="#999999" />
        <AlternatingRowStyle BackColor="White" ForeColor="#284775" />
    </asp:GridView>
    <asp:ObjectDataSource ID="AllEventDataSource" runat="server" 
        DeleteMethod="Delete" InsertMethod="Insert" 
        OldValuesParameterFormatString="original_{0}" SelectMethod="GetAllEvent" 
        TypeName="EventTableAdapters.EventTableAdapter" UpdateMethod="Update">
        <DeleteParameters>
            <asp:Parameter Name="Original_EventID" Type="Int32" />
        </DeleteParameters>
        <UpdateParameters>
            <asp:Parameter Name="EventNo" Type="String" />
            <asp:Parameter Name="EventName" Type="String" />
            <asp:Parameter Name="Dance" Type="String" />
            <asp:Parameter Name="Round" Type="String" />
            <asp:Parameter Name="Heat" Type="Int32" />
            <asp:Parameter Name="RecallThreshold" Type="Int32" />
            <asp:Parameter Name="Completed" Type="Boolean" />
            <asp:Parameter Name="Original_EventID" Type="Int32" />
        </UpdateParameters>
        <InsertParameters>
            <asp:Parameter Name="EventNo" Type="String" />
            <asp:Parameter Name="EventName" Type="String" />
            <asp:Parameter Name="Dance" Type="String" />
            <asp:Parameter Name="Round" Type="String" />
            <asp:Parameter Name="Heat" Type="Int32" />
            <asp:Parameter Name="RecallThreshold" Type="Int32" />
            <asp:Parameter Name="Completed" Type="Boolean" />
        </InsertParameters>
    </asp:ObjectDataSource>
    <asp:Label ID="Label3" runat="server" Font-Bold="True" Font-Size="15pt" 
        Text="Recall Table"></asp:Label>
    <asp:GridView ID="GridView3" runat="server" AutoGenerateColumns="False" 
        CellPadding="4" DataKeyNames="SID" DataSourceID="RecallAllDataSource" 
        ForeColor="#333333" GridLines="None">
        <RowStyle BackColor="#F7F6F3" ForeColor="#333333" />
        <Columns>
            <asp:BoundField DataField="SID" HeaderText="SID" InsertVisible="False" 
                ReadOnly="True" SortExpression="SID" />
            <asp:BoundField DataField="EventID" HeaderText="EventID" 
                SortExpression="EventID" />
            <asp:BoundField DataField="JudgeID" HeaderText="JudgeID" 
                SortExpression="JudgeID" />
            <asp:BoundField DataField="CoupleID" HeaderText="CoupleID" 
                SortExpression="CoupleID" />
            <asp:BoundField DataField="Vote" HeaderText="Vote" SortExpression="Vote" />
            <asp:BoundField DataField="Rank" HeaderText="Rank" SortExpression="Rank" />
            <asp:BoundField DataField="Missing" HeaderText="Missing" 
                SortExpression="Missing" />
        </Columns>
        <FooterStyle BackColor="#5D7B9D" Font-Bold="True" ForeColor="White" />
        <PagerStyle BackColor="#284775" ForeColor="White" HorizontalAlign="Center" />
        <SelectedRowStyle BackColor="#E2DED6" Font-Bold="True" ForeColor="#333333" />
        <HeaderStyle BackColor="#5D7B9D" Font-Bold="True" ForeColor="White" />
        <EditRowStyle BackColor="#999999" />
        <AlternatingRowStyle BackColor="White" ForeColor="#284775" />
    </asp:GridView>
    <asp:ObjectDataSource ID="RecallAllDataSource" runat="server" 
        DeleteMethod="Delete" InsertMethod="Insert" 
        OldValuesParameterFormatString="original_{0}" SelectMethod="GetAllRecall" 
        TypeName="DanceCompetition.CompetitionTableAdapters.RecallFullTableAdapter" 
        UpdateMethod="Update">
        <DeleteParameters>
            <asp:Parameter Name="Original_SID" Type="Int32" />
        </DeleteParameters>
        <UpdateParameters>
            <asp:Parameter Name="EventID" Type="String" />
            <asp:Parameter Name="JudgeID" Type="String" />
            <asp:Parameter Name="CoupleID" Type="String" />
            <asp:Parameter Name="Vote" Type="Int16" />
            <asp:Parameter Name="Rank" Type="Int16" />
            <asp:Parameter Name="Missing" Type="Int32" />
            <asp:Parameter Name="Original_SID" Type="Int32" />
        </UpdateParameters>
        <InsertParameters>
            <asp:Parameter Name="EventID" Type="String" />
            <asp:Parameter Name="JudgeID" Type="String" />
            <asp:Parameter Name="CoupleID" Type="String" />
            <asp:Parameter Name="Vote" Type="Int16" />
            <asp:Parameter Name="Rank" Type="Int16" />
            <asp:Parameter Name="Missing" Type="Int32" />
        </InsertParameters>
    </asp:ObjectDataSource>
    </form>
</body>
</html>
